Subject: bug#39855: closed (Re: bug#39855: PKG_GUILE does not find guile)

From: [email-masked] (GNU bug Tracking System)
Date: Tue, 03 Mar 2020 20:27:03 +0000

Your bug report

#39855: PKG_GUILE does not find guile

which was filed against the guile package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
39855: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=39855
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#39855: PKG_GUILE does not find guile
From: Andy Wingo <[email-masked]>
To: Julien Lepiller <[email-masked]>
Cc: [email-masked]
Date: Tue, 03 Mar 2020 21:26:22 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

Julien Lepiller <[email-masked]> writes:

> I have a project I used to build with guile 2.2. I use the PKG_GUILE m4
> macro in my configure.ac. However, guile 3 comes with a guile.m4 whose
> PKG_GUILE only checks for 2.2, 2.0 and 1.8, so configure fails.
>
> Is this deprecated? Should I use something else to check for guile?

OMG I thought I had fixed this; just now pushed a patch.  In the
meantime you can use GUILE_PKG([3.0 2.2]) to look for 3.0 or 2.2 (in
that order).

Thanks for the report!

Andy

Subject: PKG_GUILE does not find guile
From: Julien Lepiller <[email-masked]>
To: [email-masked]
Date: Sun, 01 Mar 2020 07:55:04 -0500
List-Id: <debbugs-submit.debbugs.gnu.org>

Hi,

I have a project I used to build with guile 2.2. I use the PKG_GUILE m4 macro in my configure.ac. However, guile 3 comes with a guile.m4 whose PKG_GUILE only checks for 2.2, 2.0 and 1.8, so configure fails.

Is this deprecated? Should I use something else to check for guile?

Thanks!